
@echo OFF
cls
COLOR 0A

rem <PROGRAM-HEADER>
echo **************************************************
echo *                                                *
echo * File merge 4                                   *
echo *                                                *
echo **************************************************
echo.
echo Description:
echo        Merge files.
echo.
echo --------------------------------------------------------------------------------
rem: Informations :
rem         Author   : Vincent Duvernet
rem         Company  : Nolm Informatique
rem         Web site : http://www.nolme.com
rem 
rem: Version :
rem         Creation Date     : 2015/10/07
rem         Last modification : 2015/10/07
rem         Script version    : 1.0
rem 
rem: History :
rem         1.0 (2015-10-07) : First version
rem 
rem: Bug report :
rem         None.
rem 
rem: Pre-required application(s) :
rem         Microsoft .NET framework 4.0
rem         Nolm Informatique Command Line Tools 4.x
rem 
rem: Windows compatibility :
rem         Workstations : XP SP3, Vista SP2, 7 SP1, 8, 10
rem         Server       : 2003 SP3, 2008 SP2, 2008 R2 SP2, 2012, 2012 R2
rem 
rem: Sources :
rem         None.
rem 
rem: Variables :
rem         Name                            Type       Visibility     Values / Comment
rem         ----------------------------------------------------------------------------------------------------------------
rem         g_strBatchPath                  String     Static         Current script directory.
rem         g_strCurrentDirectory           String     Static         Current directory when running this script.
rem         g_strCmdLineToolsFolder         String     Static         CmdLineTools binary folder. Change this variable to use other version of CmdLineTools.
rem         g_strInternalOutputFullFilename String     Static         Output filename for data exchange between application and script.
rem         g_strCommand%%NAME%%FullPath    String     Static         Full filename of CmdLineTools application. Replace %%NAME%% by AppVersion4, Is64Bits4...
rem 
rem         g_strSource1                    String     Temp           First source file to merge.
rem         g_strSource2                    String     Temp           Second source file to merge.
rem         g_strDestination                String     Temp           Destination result.
rem 
rem: Notes :
rem         None.
rem 
rem ************************************************************************************************************************
rem </PROGRAM-HEADER>

rem <INIT>
echo [Initialisation]
echo ----------------
echo.
setlocal enabledelayedexpansion
set g_strBatchPath=%~dp0
set g_strCurrentDirectory=%CD%
set g_strCmdLineToolsFolder=!g_strBatchPath!\..\bin
set g_strInternalOutputFullFilename=%TEMP%\Nolme_SDK_Output.log

set g_strCommandFileMerge4FullPath=!g_strCmdLineToolsFolder!\FileMerge4.exe

set g_strDestination=!g_strBatchPath!\..\temp\Dst.txt
set g_strSource1=!g_strBatchPath!\..\datas\Src1.txt
set g_strSource2=!g_strBatchPath!\..\datas\Src2.txt

rem Display current directory
echo - Batch directory : 
echo !g_strBatchPath!
echo.
rem Display current directory
echo - Current directory : 
echo !g_strCurrentDirectory!
echo.
rem Display CmdLineTools directory
echo - CmdLineTools directory : 
echo !g_strCmdLineToolsFolder!
echo.

echo Initialization done.
echo.
rem </INIT>

rem <MAIN>
echo [Main]
echo ------
echo.

echo Merge 2 files into a third one
"!g_strCommandFileMerge4FullPath!" -o -d "!g_strDestination!" -s "!g_strSource1!" "!g_strSource2!"
if %ERRORLEVEL%==-1 (
    echo Help displayed - WE CAN'T REACH THIS CASE IN THIS SAMPLE
) else if %ERRORLEVEL%==1 (
    echo All is OK.
) else if %ERRORLEVEL%==0 (
    echo Value not found - WE CAN'T REACH THIS CASE IN THIS SAMPLE
) else (
    echo ERROR - Unknown value - WE CAN'T REACH THIS CASE IN THIS SAMPLE
)
echo.

echo Source file 1 :
Type "!g_strSource1!"
echo.

echo Source file 2 :
Type "!g_strSource2!"
echo.

echo Destion (result 1+2) :
Type "!g_strDestination!"
echo.

rem </MAIN>

rem <FOOTER>
echo.
echo [End of script]
echo ---------------
Pause
GOTO:EOF
rem </FOOTER>
rem ------------------------------------------------------------------------------------------------------------------------------------
rem ------------------------------------------------------------------------------------------------------------------------------------
rem --------------------------------------------         END OF FILE          ----------------------------------------------------------
rem ------------------------------------------------------------------------------------------------------------------------------------
rem ------------------------------------------------------------------------------------------------------------------------------------